summaryrefslogtreecommitdiffstats
path: root/hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-01-14 12:23:06 +0100
committerHolger Levsen <holger@layer-acht.org>2016-01-14 12:23:06 +0100
commit8f69b65b419da7a47bf16f9580cc86086eb0c4d4 (patch)
tree17681186b4a39372cadc9d65a2c785e91a69f8e0 /hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
parent602d3380dd8648c6cbaa081b7cfe06645ae4f3a0 (diff)
downloadjenkins.debian.net-8f69b65b419da7a47bf16f9580cc86086eb0c4d4.tar.xz
reproducible armhf: add new armhf node and pbuilder/schroot/maintenance jobs for it, thanks to Vagrant
Diffstat (limited to 'hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment')
-rwxr-xr-xhosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment30
1 files changed, 30 insertions, 0 deletions
diff --git a/hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment b/hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
new file mode 100755
index 00000000..dda76947
--- /dev/null
+++ b/hosts/opi2b-armhf-rb/etc/pbuilder/rebuild-hooks/D01_modify_environment
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+BUILDDIR="${BUILDDIR:-/tmp/buildd}"
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+echo "I: Changing host+domainname to test build reproducibility" >&2
+sed -e '/^127.0.0.1/s/$/ i-capture-the-hostname i-capture-the-hostname.i-capture-the-domain/' -i /etc/hosts
+hostname i-capture-the-hostname
+domainname i-capture-the-domain
+echo "I: Adding a custom variable just for the fun of it..." >&2
+export CAPTURE_ENVIRONMENT="I capture the environment"
+
+# temporarily disable disorderfs as we have problems properly unmounting it
+exit 0
+
+# use disorderfs
+if [ -x /usr/bin/disorderfs ] ; then
+ echo -n "Moving $BUILDDIR to /tmp/disorderfs and mounting this as $BUILDDIR via the fuse disorderfs…"
+ mknod -m 666 /dev/fuse c 10 229
+ mv "$BUILDDIR" /tmp/disorderfs
+ mkdir "$BUILDDIR"
+ disorderfs --multi-user=yes /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+else
+ echo "Warning: disorderfs not available."
+fi